/*--------------------------------*-C-*---------------------------------*
 * File:	rxvt_grx.h
 *
 * Stuff for text alignment for rxvt special graphics mode
 *
 * alignment
 * Top:
 *	text is placed so that the specified point is at the top of the
 *	capital letters
 * Center:
 *	text is placed so that the specified point is equidistant from the
 *	bottom of descenders and the top of the capital letters
 * Botton:
 *	text is placed so that the bottom of descenders is on the specified
 *	point
 * Base:
 *	text is placed so that the bottom of the characters with no descenders
 *	is on the specified point
 * Caps_Center:
 *	text is placed so that the specified point is equidistant from the
 *	bottom and tops of capital letters
 *----------------------------------------------------------------------*/
#ifndef _RXVT_GRX_H
#define _RXVT_GRX_H

#define GRX_SCALE		10000

#define HORIZONTAL_ALIGNMENT	0x70
#define VERTICAL_ALIGNMENT	0x0F
#define RIGHT_TEXT		0x010
#define HCENTER_TEXT		0x020
#define LEFT_TEXT		0x030

#define TOP_TEXT		0x01
#define VCENTER_TEXT		0x02
#define BOTTOM_TEXT		0x03
#define BASE_TEXT		0x04
#define VCAPS_CENTER_TEXT	0x05

#endif	/* whole file */
/*----------------------- end-of-file (C header) -----------------------*/
