/*--------------------------------*-C-*---------------------------------*
 * Copyright 1992 John Bovey, University of Kent at Canterbury.
 *
 * You can do what you like with this source code as long as you don't try
 * to make money out of it and you include an unaltered copy of this
 * message (including the copyright).
 *
 * This module has been heavily modifiedby R. Nation
 * (nation@rocket.sanders.lockheed.com).
 * No additional restrictions are applied
 *
 * Additional modifications by mj olesen <olesen@me.queensu.ca>
 * No additional restrictions are applied.
 *
 * As usual, the author accepts no responsibility for anything, nor does
 * he guarantee anything whatsoever.
 *----------------------------------------------------------------------*/
#ifndef _SBAR_H
#define _SBAR_H

#define SBAR_IGNORE	0
#define SBAR_NOARROWS	1
#define SBAR_ARROWS	2

#ifndef SCROLLBAR_NONE
typedef struct {
   struct {
      Window win;
      GC gc;
   } up, dn, sb;
   int w, h;			/* height excluding arrows */
#ifdef SCROLLBAR_ANY
   int type;
#endif
} sbar_type;

extern sbar_type	sbar;
#define SBAR_WIDTH	12	/* width of scroll bar */
#endif

#ifdef __cplusplus
extern "C" {
#endif
   extern void	sbar_init (XGCValues *gcv);
   extern void	sbar_down_reset (void);
   extern void	sbar_up_reset (void);
   extern void	sbar_show (int length, int low, int high);
#ifdef __cplusplus
}
#endif
#endif	/* whole file */
/*----------------------- end-of-file (C header) -----------------------*/
